<?php
$path_extra = dirname(__FILE__) . "/lib";

$path = ini_get('include_path');
$path = $path_extra . PATH_SEPARATOR . $path;
ini_set('include_path', $path);

// config.phpファイルは、セットアップで自動的に作成する
@include_once('template/configdir.php');
@include_once(_DATA_DIR_ . 'initdb.php');
@include_once(_DATA_DIR_ . 'set.php');

include_once('init.php');
require_once 'Action.php';
require_once("dao.php");
require_once("libString.php");
require_once 'View.php';
require_once("viewTemplate.php");
require_once("PageTemplate.php");
require_once('Rt.php');
require_once 'mail.php';
require_once('EWPServices.php');

$templateDir = dirname(__FILE__) . '/template/';

session_name('paypaldl');
session_start();

/*
// 言語の判別
$lang = selectLang("ja");
require_once($lang . '/rt.inc');
require_once($lang . '/rf.inc');
require_once($lang . '/rtmail.inc');
require_once($lang . '/rterr.inc');
*/


//$dao = new Dao();

header('Cache-Control: no-cache');
header('Pragma: no-cache');

try{
    if (defined("_MAINTENANCE_")) {
        $page = View::maintenance();
    } else {
        $action = new Action("f");
        $page = $action->action();
    }
} catch (Exception $e) {
    $exMsg = $e->getMessage();
    switch ($exMsg) {
        case 'Error Not Open DB':
            break;
        default:
			$dao = new Dao();
            $dao->insertErrLog($exMsg . ":" . $e->getTraceAsString());
            break;
    }
    $page = View::error('exceptionBody');
}
$page->view();
?>