<?php
class MakeRndString{
	static $defaultString = "abcdefghkmnpqrstuvwxyzABCDEFGHJKLMNPQRSTUVWXYZ2345679";

	/**
	 * ランダムな文字列を生成する。
	 *
	 * @param int $length
	 * @param string $str 文字列に含む文字
	 * @return string
	 */
	static function makeString($length, $str = null) {
		if($str == null){
			$pwelem = preg_split("//", self::$defaultString, 0, PREG_SPLIT_NO_EMPTY);
		}else{
			$pwelem = preg_split("//", $str, 0, PREG_SPLIT_NO_EMPTY);
		}
		$password = "";
		for($i=0; $i<$length; $i++ ) {
			// パスワード文字列を生成
			$password .= $pwelem[array_rand($pwelem, 1)];
		}
		return $password;
	}
}
?>
