<?php

/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of RtErr
 *
 * @author aoyama
 */
class RtWiz {
  const WizSubTitleCheck = "PHPの確認";
  static function phpMsg(){
    $data =<<<EOD
PHPの拡張機能（PDO、openssl、curl）が利用できるかチェックします。<br>
「次へ」が表示されない場合は、機能が不足しています。PHPの設定を見直してください。
EOD;
    return $data;
  }
  
  const BtnNext = "次へ";
  
  const WizSubTitle1 = "サイト情報とフォルダの設定";
  static function folder1(){
    $data =<<<EOD
   <div class="sub_title">フォルダの設定</div>
<div>
 ２つのフォルダを書き込み可能にしてください。<br>
１　このプログラムに含まれるtempleteフォルダ<br>
２　bindataフォルダをWebで<strong>公開されない</strong>場所に作成し、書き込み可能にしてください。<br>
　　（注意）場所は、サーバーにより異なります。<br>
<br>
<div class="wiz_etc">
<strong>例</strong><br>
/virtual/foo/public_html フォルダが公開されるのなら、次の２つのフォルダを書き込み可能にします。<br>
<br>
/virtual/foo/public_html/template/<br>
/virtual/foo/bindata/<br>
</div>
</div>
EOD;
    return $data;
  }
  
  static function folder1false(){
    $data =<<<EOD
<div style='color:red;margin:1em;'>
templeteフォルダの書き込みを確認してください。
</div>
EOD;
    return $data;
  }
  
  static function folder2false(){
    $data =<<<EOD
<div style='color:red;margin:1em;'>
bindataフォルダの書き込みを確認してください。
</div>
EOD;
    return $data;
  }

  static function siteInput($email, $siteurl){
    $data =<<<EOD
<div style='margin:1em;'>
<form method='post' action='index.php?f=wizdir'>
   <div class="sub_title">サイトのアドレス</div>
   <div class="wiz_note">
      例:http://foo.com/
   </div>
   <input type='text' name='siteurl' value='{$siteurl}' style='width:200px;'/><br>
   <br>
   <div class="sub_title">メールアドレスの設定</div>
   <div class="wiz_note">
      PayPalで使用しているメールアドレスを設定してください。
   </div>
   <input type='text' name='email' value='{$email}' style='width:200px;'/><br>
   <br>
   <hr class="sub">
EOD;
    return $data;
  } 
  
  static function folderInput($dir){
    $data =<<<EOD
作成したbindataフォルダを指定してください。<br>

   <input type='text' name='bindata' value='$dir' style='width:300px;'/><br>
   <div>例：/virtual/foo/bindata/<br>
      最後の「/」を忘れずに！
   </div>
   <br>
   <input type='submit' value='次へ' />
</form>
</div>
EOD;
    return $data;
  }  

  static function dbConnectFalse(){
    $data =<<<EOD
<div style='color:red;margin:1em;'>
データベースの接続に失敗しました。<br>
データベース名、ユーザー名、パスワードに間違いがないか確認してください。
</div>
EOD;
    return $data;
  }  

  static function dbWriteFalse(){
    $data =<<<EOD
<div style='color:red;margin:1em;'>
データベース情報の書き込みに失敗しました。<br>
データフォルダへの書き込み権限を与えてください。
</div>
EOD;
    return $data;
  }  

  const WizSubTitleEmail = "メールの確認";
  static function wizEmail(){
    $data =<<<EOD
<div style='margin:1em;'>
<form method='post' action='index.php?f=wizemail'>
   <div class="wiz_note">
      メール送信ができるか、確認のために、先のメールアドレスに、メールを送りました。<br>
      メールアドレスに記載された「確認キー」を入力してください。
   </div>
   <input type='text' name='keyword' style='width:200px;'/><br>
   <br>
   <input type='submit' value='次へ' />
</form>
</div>
EOD;
    return $data;    
  }
  static function wizEmailFalse(){
    $data =<<<EOD
メールの送信に失敗しました。サーバーからメールを送ることができるように設定してから、
 最初から、設定をやり直してください。
<div>
<a href="index.php">戻る</a>
</div>
EOD;
    return $data;
  }
  
  const WizSubTitleDb = "データベースの設定";
  
  const WizSubTitleEnd = "初期設定終了";
  static function wizEnd(){
    $data =<<<EOD
初期設定が終了しました。セキュリティのために、次のことを実行することをお勧めします。<br>
３つのファイルが誤って変更されないように、書き込み禁止にしてください。<br>
１　templeteフォルダのconfigdir.php<br>
２　データフォルダのinitdb.php<br>
３　データフォルダのset.php<br>
<br>
次に、setupフォルダを削除してください。<br>            
<br>
セキュリティの設定が終わったら、
管理ツールで、商品の登録などを行ってください。<br>
  <br>
<div>
<a href="../index.php">管理ツールへ</a>
</div>
EOD;
    return $data;
  }
  
  static function defaultMsg($err) {
    switch ($err) {
      case 'Error PHP':
        $data = "PHPの拡張機能を利用できるようにしてください。";
        break;
      case 'PDO':
        $data = "PDO機能を利用できるようにしてください。";
        break;
      case 'curl':
        $data = "curl機能を利用できるようにしてください。";
        break;
      case 'openssl':
        $data = "openssl機能を利用できるようにしてください。";
        break;
      default :
        $data = "PHPの拡張機能を利用できるようにしてください。";
        break;
    }
    return $data;
  }
}

?>
