<?php
  
class ActionWiz {

  const defaultFuncName = "action_top";
  public $urlName;

  private function getMailText($keyword){
    global $templateDir;
    
    $template = file_get_contents($templateDir . "checkmail.txt");
    $viewData = "\$tmp =<<<EOD\n" . $template . "\nEOD;\n";
    eval($viewData);
    return $tmp;
  }
  
  private function testDb($dbName, $dbUsr, $dbPass) {
    try {
      $dbh = new PDO('mysql:host=localhost;dbname=' . $dbName, $dbUsr, $dbPass);
      
      $sql =<<<EOD
create table if not exists tbllog (
  logdata text,
  logdate timestamp
);              
EOD;
      $dbh->query($sql);

      $sqlErrorLog =<<<EOD
create table if not exists tblerrorlog (
  logdata text,
  logdate timestamp
);             
EOD;
      $dbh->query($sqlErrorLog);

      $sqlPermitdl =<<<EOD
create table if not exists permitdl (
	txn_id varchar(50) not null,
	item_number varchar(200),
	payer_id varchar(50),
	payer_email varchar(200),
	downloadcnt int not null,
	tradedate bigint not null,
	limitdate bigint not null,
	primary key(txn_id)
);             
EOD;
      $dbh->query($sqlPermitdl);

      $sqlRefunded =<<<EOD
create table if not exists refunded (
	txn_id varchar(50),
	parent_txn_id varchar(50),
	item_number varchar(200),
	receiver_id varchar(50),
	receiver_email varchar(200),
	payer_id varchar(50),
	payer_email varchar(200),
	payment_date varchar(50),
	mc_gross varchar(250),
	mc_currency varchar(10),
    regdate timestamp,
	primary key(txn_id)
);             
EOD;
      $dbh->query($sqlRefunded);

      $sqlTrade =<<<EOD
create table if not exists trade (
	txn_id varchar(50),
	item_number varchar(200),
	receiver_id varchar(50),
	receiver_email varchar(200),
	payer_id varchar(50),
	payer_email varchar(200),
	payment_date varchar(50),
	mc_gross varchar(250),
	mc_currency varchar(10),
    regdate timestamp,
	primary key(txn_id)
);            
EOD;
      $dbh->query($sqlTrade);

      $sqlGoods =<<<EOD
create table if not exists goods (
	item_number varchar(200) not null,
	item_name varchar(200),
	contenttext text,
	contenttype varchar(200),
	contentsize bigint,
	filename varchar(200),
	filenamelocal varchar(200),
	price bigint,
	mc_currency varchar(10),
	downloadcnt int not null,
	regdate bigint not null,
	editdate bigint not null,
	primary key(item_number)
);              
EOD;
      $dbh->query($sqlGoods);

      $sqlSite =<<<EOD
create table if not exists tblsite(
  sitekey varchar(255) primary key,
  sitedata text,
  logdate timestamp
);             
EOD;
      $dbh->query($sqlSite);

      // 初期パスワード 0000の設定
      $pass = addslashes(crypt("0000"));
      $dbh->exec("delete from tblsite where sitekey='password'");
      $sqlInsert = "insert into tblsite(sitekey,sitedata) values ('password','" . $pass . "')";
      $dbh->exec($sqlInsert);
      
      $dbh = NULL;
      return true;
    } catch (PDOException $e) {
      return false;
    }
  }
  
  function action_wizdb() {
    $dir1 = _DATA_DIR_;
    if(isset($_POST['dbname']) && isset($_POST['dbusr']) && isset($_POST['dbpass'])){
      $dbName = $_POST['dbname'];
      $dbUsr = $_POST['dbusr'];
      $dbPass = $_POST['dbpass'];
      
      // 接続テスト
      if($this->testDb($dbName, $dbUsr, $dbPass)){
        if($this->makebindirfile($dir1, $dbName, $dbUsr, $dbPass)){        
          return ViewWiz::wizEnd();
        }else{
          return ViewWiz::wizDbForm($dbName, $dbUsr, $dbPass, 2);
        }
      }else{
        return ViewWiz::wizDbForm($dbName, $dbUsr, $dbPass, 1);
      }
    }else{
      return ViewWiz::wizDbForm();
    }
  }
  
  function action_wizdir() {
    $dir1 = defined("_DATA_DIR_");
    $dir2 = defined("_OWNER_EMAIL_");
    if(isset($_POST['bindata']) && isset($_POST['email']) && isset($_POST['siteurl'])){
      $binDir = $_POST['bindata'];
      $email = $_POST['email'];
      $siteurl = $_POST['siteurl'];
      
      // データフォルダの書き込みチェック
      if($this->checkdir2($binDir, $email, $siteurl)){
        if($this->makeconfigdirfile($binDir)){
          $keyword = MakeRndString::makeString(4, "0123456789");
          $_SESSION['CHECK_KEYWORD'] = $keyword;
          // メールの送信
          $msgMail = $this->getMailText($keyword);
          $ret = mb_send_mail($email, "確認メール",$msgMail, "From: " . $email);
          if($ret == false){
            return ViewWiz::wizEmailFalse();
          }
          return ViewWiz::wizEmail();
        }else{
          return ViewWiz::wizDirForm($dir1, $dir2, $binDir, $email, $siteurl);
        }
      }else{
        return ViewWiz::wizDirForm($dir1, $dir2, $binDir, $email, $siteurl);
      }      
    }else{
      return ViewWiz::wizDirForm($dir1, $dir2);
    }    
  }
  
  function action_wizemail() {
    $dir1 = defined("_DATA_DIR_");
    $dir2 = defined("_OWNER_EMAIL_");
    if(isset($_POST['keyword'])){
      $keyword = $_POST['keyword'];
      if(strcmp($keyword, $_SESSION['CHECK_KEYWORD']) == 0){
          $dbName = defined("_DB_NAME_") ? _DB_NAME_ : "";
          $dbUsr = defined("_DB_USER_") ? _DB_USER_ : "";
          $dbPass = defined("_DB_PASSWORD_") ? _DB_PASSWORD_ : "";

          return ViewWiz::wizDbForm($dbName, $dbUsr, $dbPass);        
      }else{
        return ViewWiz::wizEmailFalse();
      }      
    }else{
      return ViewWiz::wizDirForm($dir1, $dir2);
    }    
  }
  
  /**
   * エラー表示
   * 未確認
   * @return type 
   */
  function action_viewerror() {
    if (isset($_GET['err'])) {
      return ViewWiz::error($_GET['err']);
    } else {
      return ViewWiz::error("FailureError");
    }
  }

  function action_top() {
    $required_extensions = array("PDO", "openssl", "curl");
    $php_ext = get_loaded_extensions();
    $list = array();
    foreach ($required_extensions as $ext) {
        if (!in_array($ext, $php_ext)) {
            $list[] = " $ext";
        }
    }
    return ViewWiz::startForm($list);
  }

  function action_wizstart() {
    $dir1 = defined("_DATA_DIR_");
    $dir2 = defined("_OWNER_EMAIL_");

    $bindir = defined("_DATA_DIR_") ? _DATA_DIR_ : "";
    $email = defined("_OWNER_EMAIL_") ? _OWNER_EMAIL_ : "";
    $siteurl = defined("_SITE_URL_") ? _SITE_URL_ : "http://";
    
    return ViewWiz::wizDirForm($dir1, $dir2, $bindir, $email, $siteurl);
  }
  
  /**
   * データフォルダの書き込みチェック
   * @param type $binDir
   * @param type $email
   * @param type $siteurl 
   * @return boolean
   */
  private function checkdir2($binDir, $email, $siteurl){
    if(($fp = @fopen($binDir . 'set.php', 'w')) == false){
      return false;
    }else{
      // base64_encodeを使っているのは、$が含まれるため
      $pass2 = base64_encode(crypt($pass));
      $data = "<?php\r\n";
      $data .= "define(\"_OWNER_EMAIL_\",\"" . $email . "\");\r\n"; 
      $data .= "define(\"_SITE_URL_\",\"" . $siteurl . "\");\r\n"; 
      $data .= "?>"; 
      fwrite($fp, $data);      fclose($fp);
      return true;
    }    
  }
  
  private function makebindirfile($binDir, $dbName, $user, $password){
    if(($fp = fopen($binDir . 'initdb.php', 'w')) == false){
      return false;
    }else{
      $data = "<?php\r\n";
      $data .= "define(\"_DB_NAME_\",\"" . $dbName . "\");\r\n"; 
      $data .= "define(\"_DB_USER_\",\"" . $user . "\");\r\n"; 
      $data .= "define(\"_DB_PASSWORD_\",\"" . $password . "\");\r\n"; 
      $data .= "?>"; 
      fwrite($fp, $data);
      fclose($fp);
      return true;
    }  
  }

  private function makeconfigdirfile($binDir){
    $dir = dirname(__FILE__) . '/../template/configdir.php';
    if(($fp = fopen($dir, 'w')) == false){
      return false;
    }else{
      $data = "<?php\r\n";
      $data .= "define(\"_DATA_DIR_\",\"" . $binDir . "\");\r\n"; 
      $data .= "?>"; 
      fwrite($fp, $data);
      fclose($fp);
      return true;
    }  
  }
  
  function __construct($name) {
    $this->urlName = $name;
  }

  /**
   * 指定の引数の名前に与えられたメソッドが存在するか。
   * 例　関数の引数にstatusが与えられた場合、?status=func1 でアクセスされると、func1のメソッドが存在するかを調べる
   *
   * @return unknown
   */
  static function isExistActionFunc($name) {
    if (isset($_GET[$name])) {
      $status = "action_" . $_GET[$name];
    } else {
      return false;
    }
    $ret = method_exists('Action', $status);
    return $ret;
  }

  public function action() {
    if (isset($_GET[$this->urlName])) {
      $status = "action_" . $_GET[$this->urlName];
      if (!method_exists($this, $status)) {
        $status = ActionWiz::defaultFuncName;
      }
    } else if (isset($_POST[$this->urlName])) {
      $status = "action_" . $_POST[$this->urlName];
      if (!method_exists($this, $status)) {
        $status = ActionWiz::defaultFuncName;
      }
    } else {
      $status = ActionWiz::defaultFuncName;
    }
    return $this->$status();
  }

}

?>